<?php

namespace Litecms;

use DB;
use Illuminate\Database\Seeder;

class NewsSettingTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('news')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'news_setting.news.view',
                'name'      => 'View News',
            ],
            [
                'slug'      => 'news_setting.news.create',
                'name'      => 'Create News',
            ],
            [
                'slug'      => 'news_setting.news.edit',
                'name'      => 'Update News',
            ],
            [
                'slug'      => 'news_setting.news.delete',
                'name'      => 'Delete News',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/news_setting/news',
                'name'        => 'News',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/news_setting/news',
                'name'        => 'News',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'news',
                'name'        => 'News',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'NewsSetting',
                'module'    => 'News',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'news_setting.news.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
