Lavalite package that provides news_setting management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/news_setting`.

    "litecms/news_setting": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\NewsSetting\Providers\NewsSettingServiceProvider::class,

And also add it to alias

    'NewsSetting'  => Litecms\NewsSetting\Facades\NewsSetting::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\NewsSettingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\NewsSetting\Providers\NewsSettingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\NewsSetting\Providers\NewsSettingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\NewsSetting\Providers\NewsSettingServiceProvider" --tag="view"


## Usage


