<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for news in news_setting package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  news module in news_setting package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'News',
    'names'         => 'News',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'News',
        'sub'   => 'News',
        'list'  => 'List of news',
        'edit'  => 'Edit news',
        'create'    => 'Create new news'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'title'                      => 'Title',
        'message'                    => 'Message',
        'status'                     => 'Status',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'title'                      => 'Title',
        'message'                    => 'Message',
        'status'                     => 'Status',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'title'                      => ['name' => 'Title', 'data-column' => 1, 'checked'],
        'message'                    => ['name' => 'Message', 'data-column' => 2, 'checked'],
        'status'                     => ['name' => 'Status', 'data-column' => 3, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'News',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
