    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#news" data-toggle="tab">{!! trans('news_setting::news.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#news_setting-news-edit'  data-load-to='#news_setting-news-entry' data-datatable='#news_setting-news-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#news_setting-news-entry' data-href='{{guard_url('news_setting/news')}}/{{$news->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('news_setting-news-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('news_setting/news/'. $news->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="news">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('news_setting::news.name') !!} [{!!$news->name!!}] </div>
                @include('news_setting::admin.news.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>