            @include('news_setting::public.news.partial.header')

            <section class="single">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            @include('news_setting::public.news.partial.aside')
                        </div>
                        <div class="col-md-9 ">
                            <div class="area">
                                <div class="item">
                                    <div class="feature">
                                        <img class="img-responsive center-block" src="{!!url($news->defaultImage('images' , 'xl'))!!}" alt="{{$news->title}}">
                                    </div>
                                    <div class="content">
                                        <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="title">
                    {!! trans('news_setting::news.label.title') !!}
                </label><br />
                    {!! $news['title'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="message">
                    {!! trans('news_setting::news.label.message') !!}
                </label><br />
                    {!! $news['message'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="status">
                    {!! trans('news_setting::news.label.status') !!}
                </label><br />
                    {!! $news['status'] !!}
            </div>
        </div>
    </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('title')
                       -> label(trans('news_setting::news.label.title'))
                       -> required()
                       -> placeholder(trans('news_setting::news.placeholder.title'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('message')
                       -> label(trans('news_setting::news.label.message'))
                       -> required()
                       -> placeholder(trans('news_setting::news.placeholder.message'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('status')
                    -> options(trans('news_setting::news.options.status'))
                    -> label(trans('news_setting::news.label.status'))
                    -> required()
                    -> placeholder(trans('news_setting::news.placeholder.status'))!!}
               </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>



