<?php

namespace Litecms\NewsSetting\Repositories\Eloquent;

use Litecms\NewsSetting\Interfaces\NewsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class NewsRepository extends BaseRepository implements NewsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.news_setting.news.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.news_setting.news.model.model');
    }
}
